curl --request PUT \
--url https://api.attio.com/v2/activities/{activity}/records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"values": {
"direction": "Outbound"
}
}
}
'{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"activity_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "5f4f2d9c-2b3e-4a83-9c76-1de3a3f14f26"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"values": {}
}
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "missing_value",
"message": "Required value for attribute with ID \"41252299-f8c7-4b5e-99c9-4ff8321d2f96\" was not provided."
}{
"status_code": 403,
"type": "auth_error",
"code": "unauthorized",
"message": "You do not have the necessary permissions to update this activity record."
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Activity with slug/ID \"phone_calls\" not found."
}{
"status_code": 409,
"type": "invalid_request_error",
"code": "concurrent_write_conflict",
"message": "The record was modified by another request while this write was being validated. Please try again."
}Update an activity record (overwrite multiselect values)
Use this endpoint to update activity records by record_id. If the update payload includes multiselect attributes, the values supplied will overwrite/remove the list of values that already exist (if any). Use the PATCH endpoint to append multiselect values without removing those that already exist.
This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.
Required scopes: activity_record:read-write, activity_configuration:read, object_configuration:read, record_permission:read.
Supported token levels: workspace, user.
curl --request PUT \
--url https://api.attio.com/v2/activities/{activity}/records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"values": {
"direction": "Outbound"
}
}
}
'{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"activity_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "5f4f2d9c-2b3e-4a83-9c76-1de3a3f14f26"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"values": {}
}
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "missing_value",
"message": "Required value for attribute with ID \"41252299-f8c7-4b5e-99c9-4ff8321d2f96\" was not provided."
}{
"status_code": 403,
"type": "auth_error",
"code": "unauthorized",
"message": "You do not have the necessary permissions to update this activity record."
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Activity with slug/ID \"phone_calls\" not found."
}{
"status_code": 409,
"type": "invalid_request_error",
"code": "concurrent_write_conflict",
"message": "The record was modified by another request while this write was being validated. Please try again."
}Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
A UUID or slug to identify the activity.
"phone_calls"
A UUID identifying the activity record to update.
"5f4f2d9c-2b3e-4a83-9c76-1de3a3f14f26"
Body
Show child attributes
Show child attributes
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?